Subject: Re: crontab fails to change crontab file: "no changes made to crontab"
From: "Steve Holden" <[email-masked]>
To: <[email-masked]>
Cc: "Harig, Mark A." <[email-masked]>
Date: Thu, 10 Oct 2002 16:36:50 -0400

> Steve,
>
> Before you do anything as drastic as a reinstall, check the inode of the
> temp file before and after editing.  Even though you're using vim, it can
> be configured to make backups, and I don't know if the in-place write is
> enabled when backup is.  If the inode does change, look into your vim
> configuration.
> Igor
>

OK, when I run "crontab -e" vim creates (in this particular case)
"/tmp/crontab.2864" withj inode 248657. /var/cron/tabs/sholden has inode
520066.

After the (unsuccessful) edit, the /tmp file has gone away, and the
/var/cron/tabs file still has the  same indoe number.

regards
-----------------------------------------------------------------------
Steve Holden                                  http://www.holdenweb.com/
Python Web Programming                 http://pydish.holdenweb.com/pwp/
Previous .sig file retired to                    www.homeforoldsigs.com
-----------------------------------------------------------------------

> On Thu, 10 Oct 2002, Steve Holden wrote:
>
> > "Harig, Mark A." <[email-masked]> wrote:
> > >
> > > My assumptions were:
> > >
> > >    1. You are running NTFS as your file system on your disk.  Is this
> > > assumption correct?
> > >
> > Yes.
> > >    2. You have set the CYGWIN environment variable to include 'ntsec
> > > binmode', and that you set this variable's value using the Control
> > > Panel's System applet.  Is this assumption correct?
> > >
> > It wasn't, but it is now. After I'd done that I deleted /var/cron and
> > reestablished it using /etc/postinstall/cron.sh.done
> >
> > Now the permissions look more comprehensible:
> >
> > sholden@COMPUTER ~
> > $ ls -Rl /var/cron
> > /var/cron:
> > total 0
> > drwxrwxrwt    2 sholden  None            0 Oct 10 15:21 tabs
> >
> > /var/cron/tabs:
> > total 1
> > -rw-r-----    1 sholden  SYSTEM        225 Oct 10 15:21 sholden
> >
> > sholden@COMPUTER ~
> > $ ls -ld !$
> > ls -ld /var/cron
> > drwxrwxrwt    3 sholden  None            0 Oct 10 15:20 /var/cron
> >
> > but unfortuantely crontab is still unable to edit the file it creates
with
> > the first crontab -e. I even tried adding group write permission to
> > /var/cron/tabs/sholden, but that did no good either. I'm thinking
> > "reinstall" here ...
> >
> > puzzled-ly y'rs  - steve
> >
> >
... and so on ...

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/